Subject: Re: /dev/audio & /dev/dsp WORK NOW!!!

From: Stoyan Kenderov <[email-masked]>
Date: Sun, 1 Sep 1996 22:39:34 +0200 (MET DST)

Thanks 

to everybody who answered my questions regarding the non-working 
/dev/audio, dev/dsp on my SB16 under linux-2.0.15 .

It proved indeed to be "Device or resource busy"!
NAS was to blame...and me of course!

I found it out, after having recompiled and rebooted the kernel tausend
times. Finally I overcommed my tire and examined the kernel boot and daemon 
log messages and see, there it was..."NAS starting...".

I updated Debian recently and have unwillingly marked NAS for installation, 
without first asking myself whether I need the raw /dev/audio and
/dev/dsp.

Thanks Ian, your suggestion would have brought me to the point
15 minutes earlier, but I was not on the Net at that time :-) . Thanks
anyway!

> Stoyan Kenderov writes ("/dev/audio & /dev/dsp  Device or resource busy ???"):
> ...
> > The sparing comments in the source point to an IRQ or DMA conflict when one
> > gets constant "Device or Resource busy" mesages on each:
> > 
> > cat blabla.au > /dev/audio    or
> > cat uuhuu.wav > /dev/dsp
> 
> Have you installed `nas' (the `network audio system') ?  It takes over
> your sound hardware permanently.  If you have then deinstall it.
> 
> Ian.
> 

regards,
    Stoyan

PS: It's really very relaxing to know that such a great list stands behind
you, when you are in trouble! Keep the good work!
-- 
Stoyan Kenderov                        /         
NTG Netzwerk und Telematic GmbH      \/          phone: +49 721 9652 220
Geschaeftsbereich                    /\ LINK     fax:   +49 721 9652 210
Vincenz-Priessnitz-Str. 3           /_______     email: [email-masked]
D-76131 Karlsruhe, Germany                       http://www.xlink.net/~kenderov
  PGP Key fingerprint =  72 EC 34 1F BC 74 89 BA  FF 74 29 85 40 6B 5C F9